Page MenuHomePhabricator

Remove Alias for sj@wm.o
Closed, ResolvedPublic

Description

Hello,

I've created an autoresponder for past board members, but realized that sj@wikimedia.org is an alias for Samuel Klein. Is it possible to create an auto responder for this alias? Stephen has asked me to put:

Thank you for your message. This email address is longer active, so you can reach Sam at meta.sj@gmail.com

I've CC'd Stephen onto this ticket as well.

Best,
Jo

Event Timeline

JGulingan created this task.Aug 7 2015, 1:43 AM
JGulingan raised the priority of this task from to Needs Triage.
JGulingan updated the task description. (Show Details)
JGulingan added a project: Mail.
JGulingan added subscribers: JGulingan, Slaporte.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2015, 1:43 AM
Aklapper renamed this task from Remove Alias to Remove Alias for sj@wm.o.Aug 14 2015, 7:57 PM
Aklapper added a project: acl*sre-team.
Aklapper set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 14 2015, 7:57 PM

No idea who can act on this, CC'ing Operations (feel free to remove again)

Yep, mail aliases are kept in puppet-private so you need to add Operations to get these requests processed.

Can you specify what exactly you want to have changed?

Currently sklein is a redirect to meta.sj@gmail.com and sf, samuel and sam are configured as aliases. Do you want to have the redirect removed so that you can configure the autoresponder in Google Apps?

Dzahn added a subscriber: Dzahn.Aug 18 2015, 2:54 PM

I would highly suggest to first get an ACK from Samuel.

Stephen wanted IT to disable the former board member's email accounts. I
found out that Sam had a wiki email alias for his personal email, so I
could not set an auto responder through my end. I was wondering if you can
just remove all of all of the wiki aliases that are connected to his
personal email.

Krenair added a subscriber: Sj.Aug 18 2015, 3:49 PM

Ops certainly could, but I don't see why they would if it's pointing to a personal email rather than one in OIT's google apps system.

I am not sure what the process is for off boarding a board member, so I'll
go and follow up with my team and Stephen about this. With wiki emails, I
normally just put an auto responder (if requested), and then delete the
email after 30 days.

The only pushback I can see happening is that someone might want his
aliases, but we'll see when the time comes :)

Dzahn added a comment.Aug 18 2015, 4:05 PM

fyi, he is not a special case. we have quite a few courtesy redirects to personal email addresses like that

re: offboarding process: board member or not, we currently don't really have one, that is discussed on T108131

Hi @Dzahn, this is part of the standard offboarding process for Board members, and we have discussed this with Sam as well.

this is part of the standard offboarding process for Board members

Out of curiosity, is that documented somewhere (link)? TIA

Hi @Dzahn, this is part of the standard offboarding process for Board members, and we have discussed this with Sam as well.

Maybe for OIT-controlled things, but I'd be surprised to hear this was the process for ops things.

RobH added a subscriber: RobH.Aug 18 2015, 7:05 PM

Indeed, what standard offboarding is @Slaporte referring to? T108131 documents the lack of one.

The process for Board members is documented in the Board Handbook on Meta Wiki.

Dzahn reassigned this task from MoritzMuehlenhoff to RobH.Sep 2 2015, 4:58 PM
RobH removed RobH as the assignee of this task.Sep 15 2015, 7:17 PM
Dzahn added a comment.EditedSep 16 2015, 12:22 AM

Samuel is still subscribed to various mailing lists as sj@wikimedia.org. sj@ is an alias for sklein@. If we just delete that those list admins are going to get errors.

sj@wikimedia.org found in:

wmfcc-l
audit-l
listadmins
chaptercommittee-l

That should be cleaned up first.

The handbook link says something about an autoresponder. That would have to happen on the Google side. Is that done? I don't see things about deleting aliases completely.

Dzahn changed the task status from Open to Stalled.Sep 16 2015, 12:23 AM

@JGulingan is sklein@wikimedia.org existing in Google and an autoresponder?

Dzahn triaged this task as Normal priority.Sep 16 2015, 12:40 AM
Dzahn assigned this task to JGulingan.Sep 16 2015, 12:43 AM
Dzahn added a subscriber: Tbayer.
Dzahn added a subscriber: Stu.

@Tbayer as admin of "wmfcc-l", can you decide what to do with Samuel's subscription? Either replace with his private gmail address or remove? I'm not sure how what is appropriate on this list but we are being asked to delete the old alias that existed for a long time and if we just do it you will get errors on your list.

@Stu same question as above but for "audit-l"

chaptercommittee-l is a redirect to "AffCom". not sure here either.

chaptercommittee-l is a redirect to "AffCom". not sure here either.

@Varnent is one of the AffCom list admins

@Tbayer as admin of "wmfcc-l", can you decide what to do with Samuel's subscription? Either replace with his private gmail address or remove? I'm not sure how what is appropriate on this list but we are being asked to delete the old alias that existed for a long time and if we just do it you will get errors on your list.

(CCing Katherine and Sam as the current main admins of the ComCom list - I'm just the backup admin ;)

Thanks, it looks like we are going to ask SJ if he wants to be subscribed with his private address. In general, it's not too rare that @wikimedia.org addresses subscribed to this list go inactive and are removed in later cleanups, but thanks for helping to minimize issues.

Sj added a comment.Sep 16 2015, 3:47 AM

Hello all, catching up. This thread was being downfiltered in my mail client (speaking of email quirks!)

Yea, sj@ has been in use for a while; thanks for tracking down all the crufty places it is used. I tried to switch most uses to my gmail account a couple years ago, but clearly missed some. If you can keep an autoresponder up for backwards compatibility, that would be great.

If you would, please switch the subscriptions for wmfcc-l, audit-l (where I'm still a nonvoting member), and listadmins (I still help administer a couple old lists) to my gmail account. Drop the subscription to chaptercommittee-l, that's not in use.

Stu, I removed myself as audit-l admin; you may want to add Denny for the future.

Dzahn added a comment.EditedSep 16 2015, 10:07 PM

Hello @Sj

done, i have removed your wikimedia.org email address from the remaining lists and then added you with your gmail.com address (you were already member in most), except chaptercommittee-l which you have been removed from.

Best,

Daniel

In T108276#1643793, @Sj wrote:

If you can keep an autoresponder up for backwards compatibility, that would be great.

This part is something that the OIT team would handle on the Google side of things.

@JGulingan Can you setup sklein@ on the Google side with the autoresponder /let us know if it's done already?

Dzahn added a comment.Sep 17 2015, 6:54 PM

@Sj I just talked with @JGulingan at office and she created sklein@ on the Google side and added the aliases you had (sj@ sam@ samuel@) and will activate the autoresponder.

So i just deleted the aliases on the ops side that forwarded mail to your private account.

Dzahn closed this task as Resolved.Sep 17 2015, 6:54 PM
Dzahn claimed this task.

all done on our side, feel free to reopen if any questions.

@Sj I've set your autoresponder to saying "Thank you for your message. This email address is no longer active, so you can reach Samuel at meta.sj@gmail.com." Just to let you know, I will delete this after one month from today.

@Dzahn thanks again! :)